Name:           raysession
Version:        0.14.3
Release:        %mkrel 2
Summary:        RaySession is an audio session manager for GNU/Linux
Group:          Sound
License:        GPLv2
URL:          	https://github.com/Houston4444/RaySession
Source0:        https://github.com/Houston4444/RaySession/releases/tag/v0.14.3/RaySession-%{version}.tar.xz

Patch0:		raysession-fix-crash-non-alphanumeric-client.patch

BuildRequires:  python3-qt5-devel
BuildRequires:  qt5-devel
BuildRequires:  python3-pyalsa
BuildRequires:  lib64lo-devel
BuildRequires:	pkgconfig(Qt5Svg)

Requires: lib64lo7
Requires: python3-pyside2-svg
Requires: python3-pyalsa
Requires: pyliblo3

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
RaySession is an audio session manager for GNU / Linux.
It allows you to start several audio programs in the same session, to save their
projects together and thus to avoid multiple operations to return 
to a given configuration.

To be launched in RaySession, it is very much preferable that these audio
programs be compatible with the NSM protocol, and many are already, among others
Ardour, Qtractor, Carla, Guitarix, Mamba, Patroneo, ZynAddSubFx …​

RaySession assumes that your audio setup is working for audio production,
if not,
fix this first and don’t waste your time trying to use RaySession.

RaySession is a GNU/Linux session manager for audio programs such as Ardour,
Carla, QTractor, Guitarix, Patroneo, Jack Mixer, etc...
The principle is to load together audio programs, then be able to save or
close all documents together.
Its main purpose is to manage NSM compatible programs,
but it also helps for other programs.

it benefits from a nice patchbay, a complete manual as well as a splendid web site.

An integrated client can save and restore JACK connections.
Except this, RaySession doesn't deals with JACK, the recommended user behavior
is to use it when JACK is already started.

Features

    Load many programs together and remember their documents and jack
	connections in an unified folder
    Nice patchbay with stereo connections, wrappable boxes and a search tool
    Snapshot at each save (optional), then you can go back to the snapshot
	(it uses git)
    Save client as template, and then restore it easily
    Save session as template
    Make almost all actions and get several informations with
	the CLI named ray_control
    Script sessions and clients actions with shell scripts
    Remember and recall JACK configuration with the jack_config session scripts
    Having sub-sessions working through the network with the "Network Session"
	template
    Remember the virtual desktop of the programs (requires wmctrl,
	doesn't works with Wayland)
    Bookmark the current session folder in your file manager and
	file pickers (gtk, kde, qt, fltk)
    Many others...

You can see documentation on NSM protocol at:
	https://new-session-manager.jackaudio.org/api/index.html

RaySession is being developed by Mathieu Picot (houston4444),
using Python3 and Qt5.

%prep
%setup -qn RaySession-%{version}
%autopatch -p1

%build
%make_build

%install
rm -rf %buildroot
%make PREFIX=/usr DESTDIR=%{buildroot} install

%clean
rm -rf %buildroot

%post
gtk-update-icon-cache /usr/share/icons/hicolor &> /dev/null || :
%update_menus

%postun
gtk-update-icon-cache /usr/share/icons/hicolor &> /dev/null || :
%clean_menus

%files
%defattr(-,root,root)
%{_bindir}
%{_datadir}

%config(noreplace) %{_sysconfdir}/xdg/raysession/client_templates/40_ray_nsm/client_templates.xml
%config(noreplace) %{_sysconfdir}/xdg/raysession/client_templates/60_ray_lash/Rosegarden/XXX_SESSION_NAME_XXX.XXX_CLIENT_ID_XXX
%config(noreplace) %{_sysconfdir}/xdg/raysession/client_templates/60_ray_lash/Rosegarden/XXX_SESSION_NAME_XXX.XXX_CLIENT_ID_XXX/XXX_SESSION_NAME_XXX.rg
%config(noreplace) %{_sysconfdir}/xdg/raysession/client_templates/60_ray_lash/Qsampler/XXX_SESSION_NAME_XXX.XXX_CLIENT_ID_XXX
%config(noreplace) %{_sysconfdir}/xdg/raysession/client_templates/60_ray_lash/Qsampler/XXX_SESSION_NAME_XXX.XXX_CLIENT_ID_XXX/XXX_SESSION_NAME_XXX.lscp
%config(noreplace) %{_sysconfdir}/xdg/raysession/client_templates/60_ray_lash/Sequencer64/XXX_SESSION_NAME_XXX.XXX_CLIENT_ID_XXX
%config(noreplace) %{_sysconfdir}/xdg/raysession/client_templates/60_ray_lash/Sequencer64/XXX_SESSION_NAME_XXX.XXX_CLIENT_ID_XXX/XXX_SESSION_NAME_XXX.midi
%config(noreplace) %{_sysconfdir}/xdg/raysession/client_templates/60_ray_lash/QMidiRoute/XXX_SESSION_NAME_XXX.XXX_CLIENT_ID_XXX
%config(noreplace) %{_sysconfdir}/xdg/raysession/client_templates/60_ray_lash/QMidiRoute/XXX_SESSION_NAME_XXX.XXX_CLIENT_ID_XXX/XXX_SESSION_NAME_XXX.qmr
%config(noreplace) %{_sysconfdir}/xdg/raysession/client_templates/60_ray_lash/client_templates.xml
%config(noreplace) %{_sysconfdir}/xdg/raysession/client_templates/60_ray_lash/CalfJACKHost/XXX_SESSION_NAME_XXX.XXX_CLIENT_ID_XXX
%config(noreplace) %{_sysconfdir}/xdg/raysession/client_templates/60_ray_lash/CalfJACKHost/XXX_SESSION_NAME_XXX.XXX_CLIENT_ID_XXX/XXX_SESSION_NAME_XXX.calf
%config(noreplace) %{_sysconfdir}/xdg/raysession/client_templates/60_ray_lash/Rakarrack-plus/XXX_SESSION_NAME_XXX.XXX_CLIENT_ID_XXX
%config(noreplace) %{_sysconfdir}/xdg/raysession/client_templates/60_ray_lash/Rakarrack-plus/XXX_SESSION_NAME_XXX.XXX_CLIENT_ID_XXX/XXX_SESSION_NAME_XXX.rkr
%config(noreplace) %{_sysconfdir}/xdg/raysession/client_templates/60_ray_lash/Seq24/XXX_SESSION_NAME_XXX.XXX_CLIENT_ID_XXX
%config(noreplace) %{_sysconfdir}/xdg/raysession/client_templates/60_ray_lash/Seq24/XXX_SESSION_NAME_XXX.XXX_CLIENT_ID_XXX/XXX_SESSION_NAME_XXX.midi

%changelog
* Sun Mar 17 2024 tex - 0.14.3-2pclos2024
- rebuild req pyliblo3

* Thu Feb 29 2024 onkelho <oh.quait at gmail.com> - 0.14.3-1quait2024
- new version released on Dec 2, 2023
